Skip to main content
POST
/
api
/
v1
/
wan
/
video-to-video
Video to Video
curl --request POST \
  --url https://api.modelhunter.ai/api/v1/wan/video-to-video \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "<string>",
  "input": {
    "input.prompt": "<string>",
    "input.video_urls": [
      "<string>"
    ],
    "input.duration": "<string>",
    "input.resolution": "<string>"
  },
  "webhookUrl": "<string>",
  "metadata": {}
}
'
{
  "success": true,
  "data": {
    "id": "task_ghi789",
    "status": "pending",
    "type": "video-to-video",
    "provider": "wan",
    "model": "wan/2-6-video-to-video",
    "created_at": "2026-03-04T10:00:00Z",
    "estimated_seconds": 40
  }
}

Body Parameters

model
string
required
Wan model to use. In this phase:
  • wan/2-6-video-to-video
input
object
required
Input parameters for the generation.
webhookUrl
string
URL to receive a webhook when the task completes.
metadata
object
Custom key-value metadata to attach to the task.
{
  "success": true,
  "data": {
    "id": "task_ghi789",
    "status": "pending",
    "type": "video-to-video",
    "provider": "wan",
    "model": "wan/2-6-video-to-video",
    "created_at": "2026-03-04T10:00:00Z",
    "estimated_seconds": 40
  }
}